package  
{
	import org.flixel.*;
	
	/**
	 * ...
	 * @author Switchbreak
	 */
	public class StarField extends FlxGroup
	{
		
		// Embed images
		[Embed (source = "../images/Nebula.png")] private var NebulaImg:Class;
		
		// Declare constants
		private const STAR_COUNT:uint = 500;
		
		// Constructor
		public function StarField() 
		{
			// Create stars
			for ( var i:uint = 0; i < STAR_COUNT; i++ )
			{
				// Create star sprite with randomized position, size and parallax
				var starSprite:FlxSprite = new FlxSprite( Math.floor( Math.random() * PlayState.PLAYFIELD_SIZE ), Math.floor( Math.random() * PlayState.PLAYFIELD_SIZE ) );
				var size:uint = Math.floor( Math.random() * 2 ) + 1;
				var distance:Number = Math.random() * 0.5 + 0.5;
				starSprite.createGraphic( size, size );
				starSprite.scrollFactor.x = starSprite.scrollFactor.y = distance;
				
				add( starSprite );
			}
			
			add( new FlxSprite( 0, 0, NebulaImg ) );
		}
		
	}

}