package  
{
	import org.flixel.*;
	
	/**
	 * ...
	 * @author Switchbreak
	 */
	public class ScoreText extends FlxText
	{
		
		private const TIME_TO_LIVE:Number = 1;
		private const TEXT_SPEED:Number = -100;
		
		private var timer:Number = TIME_TO_LIVE;
		
		public function ScoreText(X:Number, Y:Number, Width:uint, Text:String = null, EmbeddedFont:Boolean = true) 
		{
			super(X, Y, Width, Text, EmbeddedFont);
			size = 20;
			velocity.y = TEXT_SPEED;
		}
		
		override public function update():void
		{
			timer -= FlxG.elapsed;
			if ( timer <= 0 )
				kill();
			
			alpha = timer;
			
			super.update();
		}
		
	}

}