package  
{
	import org.flixel.*;
	
	/**
	 * ...
	 * @author Switchbreak
	 */
	public class StartState extends FlxState
	{
		
		override public function create():void
		{
			add( new StarField() );
			
			var titleText:FlxText = new FlxText( FlxG.width / 2 - 200, FlxG.height / 4 - 30, 400, "Flinger" );
			titleText.alignment = "center";
			titleText.size = 50;
			add( titleText );
			
			var tutorialText:FlxText = new FlxText( FlxG.width / 2 - 250, FlxG.height / 2 - 50, 500,
				"Arrow Keys - Move your ship\nZ / X - Expand / contract your ship\n\nCatch the red ships between your pods to fling them.\nTake out the producers by flinging ships at them to advance to the next wave." );
			tutorialText.size = 15;
			tutorialText.alignment = "center";
			add( tutorialText );

			var startText:FlxText = new FlxText( FlxG.width / 2 - 200, FlxG.height - 100, 400, "Press z or x to start" );
			startText.size = 15;
			startText.alignment = "center";
			add( startText );
			
			super.create();
		}
		
		override public function update():void
		{
			if ( FlxG.keys.Z || FlxG.keys.X )
			{
				FlxG.state = new PlayState();
			}
		}
		
	}

}